Package org.apache.velocity.app.event.implement

# Class IncludeNotFound

java.lang.Object
org.apache.velocity.app.event.implement.IncludeNotFound

All Implemented Interfaces:
  `EventHandler`, `IncludeEventHandler`, `ContextAware`, `RuntimeServicesAware`

public class IncludeNotFound extends Object implements IncludeEventHandler, RuntimeServicesAware, ContextAware
Simple event handler that checks to see if an included page is available. If not, it includes a designated replacement page instead.

By default, the name of the replacement page is "notfound.vm", however this page name can be changed by setting the Velocity property `eventhandler.include.notfound`, for example:

     eventhandler.include.notfound = error.vm

The name of the missing resource is put into the Velocity context, under the key "missingResource", so that the "notfound" template can report the missing resource with a Velocity reference, like: `$missingResource`

Since:
  1.5
Version:
  $Id$
Author:
  Will Glass-Husain

## Field Summary

Fields
Modifier and Type
Field
Description
`protected org.slf4j.Logger`
`log`

## Constructor Summary

Constructors
Constructor
Description
`IncludeNotFound()`

## Method Summary

Modifier and Type
Method
Description
`String`
`includeEvent(Context context, String includeResourcePath, String currentResourcePath, String directiveName)`
Check to see if included file exists, and display "not found" page if it doesn't.
`void`
`setContext(Context context)`
Initialize the EventHandler.
`void`
`setRuntimeServices(RuntimeServices rs)`
Called automatically when event cartridge is initialized.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### log

protected org.slf4j.Logger log

## Constructor Details

### IncludeNotFound

public IncludeNotFound()

## Method Details

### includeEvent

public String includeEvent(Context context, String includeResourcePath, String currentResourcePath, String directiveName)
Check to see if included file exists, and display "not found" page if it doesn't. If "not found" page does not exist, log an error and return null.

Specified by:
  `includeEvent` in interface `IncludeEventHandler`
Parameters:
  `context` - current context
  `includeResourcePath` -
  `currentResourcePath` -
  `directiveName` -
Returns:
  message.

### setRuntimeServices

public void setRuntimeServices(RuntimeServices rs)
Description copied from interface: `RuntimeServicesAware`
Called automatically when event cartridge is initialized.

Specified by:
  `setRuntimeServices` in interface `RuntimeServicesAware`
Parameters:
  `rs` - RuntimeServices object assigned during initialization
See Also:
  - `RuntimeServicesAware.setRuntimeServices(org.apache.velocity.runtime.RuntimeServices)`

### setContext

public void setContext(Context context)
Description copied from interface: `ContextAware`
Initialize the EventHandler.

Specified by:
  `setContext` in interface `ContextAware`
Parameters:
  `context` -
See Also:
  - `ContextAware.setContext(org.apache.velocity.context.Context)`